# msg_udp_ctrl


````angular2html
msg_udp_ctrl/
├── Makefile
├── inc/             
│   └── udp.ctrl.h   
└── src/             
    ├── main.c       
    └── udp.ctrl.c
└── build/
    ├── obj
    └── msg_udp_ctrl.out

````
---
### 编译：
1. 确保交叉编译工具链路径正确
2. 确保源码放在src目录，头文件放在inc目录
3. 命令行执行：

   `make        # 编译`
   `make clean  # 清理`

编译输出文件在build下：`msg_udp_ctrl.out`

---
### 交叉编译工具默认路径：
```angular2html
TOOLCHAIN_DIR ?= /home/qieyuan/bupt_project/gcc-linaro-7.5.0-2019.12-x86_64_aarch64-linux-gnu
```
---
### msg_udp_ctrl.out

此程序启动一个udp传输，首先会向上位机发送一个 `reday`  ，上位机收到后，向客户端发送一个 `OK` (GUI界面中是以按钮的形式点击)，然后客户端就会将一个固定值写入 `DDR 0x82000000` 中，用来启动 UCP4008 和 RK3588 的后续任务。
